org.keycloak.dom.saml.v2.assertion

## Class AttributeType

- java.lang.Object
- - org.keycloak.dom.saml.v2.assertion.AttributeType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    RequestedAttributeType

      public class AttributeType
      extends Object
      implements Serializable

  Java class for AttributeType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AttributeType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AttributeValue" maxOccurs="unbounded"
       minOccurs="0"/>
             </sequence>
             <attribute name="Name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="NameFormat" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
             <attribute name="FriendlyName" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Object>` | `attributeValue`
    `protected String` | `friendlyName`
    `protected String` | `name`
    `protected String` | `nameFormat`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeType(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttributeValue(Object value)` Add an attribute value to the attribute
    `List<Object>` | `getAttributeValue()` Gets the value of the attributeValue property.
    `String` | `getFriendlyName()` Gets the value of the friendlyName property.
    `String` | `getName()` Gets the value of the name property.
    `String` | `getNameFormat()` Gets the value of the nameFormat property.
    `Map<QName,String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
    `void` | `removeAttributeValue(Object value)` Remove an attribute value to the attribute
    `void` | `setFriendlyName(String value)` Sets the value of the friendlyName property.
    `void` | `setName(String value)` Sets the value of the name property.
    `void` | `setNameFormat(String value)` Sets the value of the nameFormat property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### attributeValue

          protected List<Object> attributeValue

    - #### name

          protected String name

    - #### nameFormat

          protected String nameFormat

    - #### friendlyName

          protected String friendlyName

  - ### Constructor Detail

    - #### AttributeType

          public AttributeType(String name)

  - ### Method Detail

    - #### addAttributeValue

          public void addAttributeValue(Object value)

      Add an attribute value to the attribute
      Parameters:
        `value` - `Object`

    - #### removeAttributeValue

          public void removeAttributeValue(Object value)

      Remove an attribute value to the attribute
      Parameters:
        `value` - `Object`

    - #### getAttributeValue

          public List<Object> getAttributeValue()

      Gets the value of the attributeValue property.

      For example, to add a new item, do as follows:

           getAttributeValue().add(newItem);

      Objects of the following type(s) are allowed in the list `Object`

    - #### getName

          public String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNameFormat

          public String getNameFormat()

      Gets the value of the nameFormat property.
      Returns:
        possible object is `String`

    - #### setNameFormat

          public void setNameFormat(String value)

      Sets the value of the nameFormat property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFriendlyName

          public String getFriendlyName()

      Gets the value of the friendlyName property.
      Returns:
        possible object is `String`

    - #### setFriendlyName

          public void setFriendlyName(String value)

      Sets the value of the friendlyName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOtherAttributes

          public Map<QName,String> getOtherAttributes()

      Gets a map that contains attributes that aren't bound to any typed property on this class.

      the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

      Returns:
        always non-null

Copyright © 2016 JBoss by Red Hat. All rights reserved.